跳转到主要内容
POST
/
openapi
/
v1
/
events
/
chat
AI model event — OpenAI compatible (METERED)
curl --request POST \
  --url https://app.profy.cn/openapi/v1/events/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "deepseek-chat",
  "messages": [
    {
      "role": "<string>",
      "content": "<string>"
    }
  ],
  "stream": true,
  "temperature": 123,
  "max_tokens": 123,
  "top_p": 123,
  "frequency_penalty": 123,
  "presence_penalty": 123,
  "stop": "<string>"
}
'
import requests

url = "https://app.profy.cn/openapi/v1/events/chat"

payload = {
"model": "deepseek-chat",
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"stream": True,
"temperature": 123,
"max_tokens": 123,
"top_p": 123,
"frequency_penalty": 123,
"presence_penalty": 123,
"stop": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'deepseek-chat',
messages: [{role: '<string>', content: '<string>'}],
stream: true,
temperature: 123,
max_tokens: 123,
top_p: 123,
frequency_penalty: 123,
presence_penalty: 123,
stop: '<string>'
})
};

fetch('https://app.profy.cn/openapi/v1/events/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



授权

Authorization
string
header
必填

OAuth2 access token issued via POST /oauth/token

请求体

application/json
model
string
必填
示例:

"deepseek-chat"

messages
object[]
必填
Minimum array length: 1
stream
boolean
temperature
number
max_tokens
number
top_p
number
frequency_penalty
number
presence_penalty
number
stop

响应

Chat completion response (JSON or SSE stream)